## last-align 490

=== doc/Makefile ===
# Rules for converting the txt documents to html.

DOCS = FAQ.html bisulfite.html last-map-probs.html		\
last-pair-probs.html last-postmask.html last-split.html		\
last-tutorial.html last.html maf-convert.html maf-cull.html

all: ${DOCS}

${DOCS}: last-doc.css Makefile

.SUFFIXES: .html .txt

# Below, we face 2 problems:
# 1. Figure out where html4css1.css is.
# 2. Work with rst2html version 0.4.1, which only allows one stylesheet-path.

# Ugh!  Is there a better way?
RST_CSS = `locate html4css1.css | head -n1`

.txt.html:
	cat ${RST_CSS} last-doc.css | rst2html --stylesheet-path=/dev/stdin --initial-header-level=2 --no-doc-info $< $@

=== debian/changelog ===
last-align (490-1) unstable; urgency=medium

  * New upstream version
  * get-orig-source target now with xz compression
  * cme fix dpkg-control
  * Upstream dropped .py suffix - adpapt help2man calls in d/rules

 -- Andreas Tille <tille@debian.org>  Thu, 23 Oct 2014 22:30:48 +0200

=== debian/rules ===
#!/usr/bin/make -f

# This package is maintained by the Debian Med packaging team. Please refer to
# our group policy if you would like to commit to our Subversion repository. All
# Debian developpers have write acces to it.
# 
# http://debian-med.alioth.debian.org/docs/policy.html

pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/

# Copy upstream CXXFLAGS here because makefile enables only overriding them
CXXFLAGS += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic
# -Wconversion
# -fomit-frame-pointer ?

%:
	dh  $@

override_dh_auto_build:
	make all CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

HELP2MAN = help2man --no-info --version-string="$(version)"

override_dh_auto_install:
	make install prefix=$(CURDIR)/debian/$(pkg)/usr
#	prename 's/.py$$//' debian/$(pkg)/usr/bin/*py
#	prename 's/.sh$$//' debian/$(pkg)/usr/bin/*sh

        # try to create man pages whereever possible
	mkdir -p $(mandir)
	$(HELP2MAN) \
		 --name='make a dotplot, a.k.a. Oxford Grid, of alignments in LAST tabular format' \
	         $(CURDIR)/scripts/last-dotplot > $(mandir)/last-dotplot.1
	$(HELP2MAN) \
	         --name="genome-scale comparison of biological sequences" \
	         --help-option="-h" \
                 $(CURDIR)/src/lastal > $(mandir)/lastal.1
	$(HELP2MAN) \
	         --name="genome-scale comparison of biological sequences" \
	         --help-option="-h" \
                 $(CURDIR)/src/lastdb > $(mandir)/lastdb.1
	$(HELP2MAN) \
		 --name="Calculate expected numbers of alignments for random sequences." \
	         --help-option="-h" \
                 $(CURDIR)/src/lastex > $(mandir)/lastex.1
	$(HELP2MAN) \
                 --name="Sort MAF-format alignments by sequence name" \
                 $(CURDIR)/scripts/maf-sort > $(mandir)/maf-sort.1
	$(HELP2MAN) \
                 --name="changes the order of the sequences in MAF-format alignments" \
                 $(CURDIR)/scripts/maf-swap > $(mandir)/maf-swap.1
	$(HELP2MAN) \
                 --name="Add extra column with mapping probabilities" \
                 $(CURDIR)/scripts/last-map-probs > $(mandir)/last-map-probs.1
	# This script has not enough to put in a manual page.
	#$(HELP2MAN) \
        #         --name="Read files of lastal output, merge corresponding batches, and write them." \
        #         $(CURDIR)/scripts/last-merge-batches > $(mandir)/last-merge-batches.1
        # These scripts were droped
	#$(HELP2MAN) \
        #         --name="Clean up MAF-format alignments" \
        #         $(CURDIR)/scripts/last-reduce-alignments > $(mandir)/last-reduce-alignments.1
	#$(HELP2MAN) \
        #         --name='Remove MAF-format alignments which are "dominated" by others' \
        #         $(CURDIR)/scripts/last-remove-dominated > $(mandir)/last-remove-dominated.1
	$(HELP2MAN) \
                 --name='Estimates "split" or "spliced" alignments.' \
                 $(CURDIR)/src/last-split > $(mandir)/last-split.1
	$(HELP2MAN) \
                 --name="Join two or more sets of MAF-format multiple alignments" \
                 $(CURDIR)/scripts/maf-join > $(mandir)/maf-join.1
	$(HELP2MAN) \
                 --name="Convert MAF-format alignments to tabular format" \
                 $(CURDIR)/scripts/maf-convert > $(mandir)/maf-convert.1
	$(HELP2MAN) \
                 --name="Cull alignments whose top\-sequence coordinates are contained in LIMIT or more" \
                 $(CURDIR)/scripts/maf-cull > $(mandir)/maf-cull.1
	$(HELP2MAN) \
                 --name="Read alignments of paired DNA reads to a genome" \
                 $(CURDIR)/scripts/last-pair-probs > $(mandir)/last-pair-probs.1

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.txt

get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack --compress xz --destdir=../tarballs

## last-align 588

=== doc/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 # Rules for converting the txt documents to html.
 
-DOCS = FAQ.html bisulfite.html last-map-probs.html		\
-last-pair-probs.html last-postmask.html last-split.html		\
-last-tutorial.html last.html maf-convert.html maf-cull.html
+DOCS = FAQ.html bisulfite.html last-evalues.html last-map-probs.html	\
+last-pair-probs.html last-papers.html last-postmask.html		\
+last-split.html last-train.html last-tutorial.html last.html		\
+maf-convert.html maf-cull.html
 
 all: ${DOCS}

=== debian/changelog ===
last-align (588-1) unstable; urgency=medium

  * New upstream version
  * Binaries lastex and last-pair-probs do not belong to the package any more
  * Removed paragraphs from copyright where files are not part of the
    source any more

 -- Andreas Tille <tille@debian.org>  Mon, 06 Jul 2015 18:00:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,10 @@
 	         --name="genome-scale comparison of biological sequences" \
 	         --help-option="-h" \
                  $(CURDIR)/src/lastdb > $(mandir)/lastdb.1
-	$(HELP2MAN) \
-		 --name="Calculate expected numbers of alignments for random sequences." \
-	         --help-option="-h" \
-                 $(CURDIR)/src/lastex > $(mandir)/lastex.1
+#	$(HELP2MAN) \
+#		 --name="Calculate expected numbers of alignments for random sequences." \
+#	         --help-option="-h" \
+#                 $(CURDIR)/src/lastex > $(mandir)/lastex.1
 	$(HELP2MAN) \
                  --name="Sort MAF-format alignments by sequence name" \
                  $(CURDIR)/scripts/maf-sort > $(mandir)/maf-sort.1
@@ -77,9 +77,9 @@
 	$(HELP2MAN) \
                  --name="Cull alignments whose top\-sequence coordinates are contained in LIMIT or more" \
                  $(CURDIR)/scripts/maf-cull > $(mandir)/maf-cull.1
-	$(HELP2MAN) \
-                 --name="Read alignments of paired DNA reads to a genome" \
-                 $(CURDIR)/scripts/last-pair-probs > $(mandir)/last-pair-probs.1
+#	$(HELP2MAN) \
+#                 --name="Read alignments of paired DNA reads to a genome" \
+#                 $(CURDIR)/scripts/last-pair-probs > $(mandir)/last-pair-probs.1
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.txt

## last-align 621

=== doc/Makefile ===
# Rules for converting the txt documents to html.

DOCS = FAQ.html bisulfite.html last-evalues.html last-map-probs.html	\
last-matrices.html last-pair-probs.html last-papers.html		\
last-postmask.html last-repeats.html last-seeds.html last-split.html	\
last-train.html last-tuning.html last-tutorial.html last.html		\
lastal.html lastdb.html maf-convert.html maf-cull.html

all: ${DOCS}

${DOCS}: last-doc.css Makefile

.SUFFIXES: .html .txt

# Ugh!  Is there a better way?
RST_CSS = `locate html4css1.css | tail -n1`

RSTFLAGS = --initial-header-level=2 --no-compact-lists	\
--no-compact-field-lists --option-limit=0 --no-doc-info

.txt.html:
	rst2html --stylesheet-path=${RST_CSS},last-doc.css ${RSTFLAGS} $< $@

last-matrices.txt: ../data/*.mat
	../build/mat-doc.sh ../data/*.mat > $@

last-seeds.txt: ../data/*.seed
	../build/seed-doc.sh ../data/*.seed > $@

=== debian/changelog ===
last-align (621-1) unstable; urgency=medium

  * New upstream version 

 -- Andreas Tille <tille@debian.org>  Thu, 24 Sep 2015 08:53:43 +0200

=== debian/control ===
Source: last-align
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               help2man,
               python-imaging
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/last-align/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/last-align/trunk/
Homepage: http://last.cbrc.jp/

Package: last-align
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: python,
            python-imaging
Suggests: parallel
Description: genome-scale comparison of biological sequences
 LAST is software for comparing and aligning sequences, typically DNA or
 protein sequences. LAST is similar to BLAST, but it copes better with very
 large amounts of sequence data. Here are two things LAST is good at:
 .
  * Comparing large (e.g. mammalian) genomes.
  * Mapping lots of sequence tags onto a genome.
 .
 The main technical innovation is that LAST finds initial matches based on
 their multiplicity, instead of using a fixed size (e.g. BLAST uses 10-mers).
 This allows one to map tags to genomes without repeat-masking, without becoming
 overwhelmed by repetitive hits. To find these variable-sized matches, it uses
 a suffix array (inspired by Vmatch). To achieve high sensitivity, it uses a
 discontiguous suffix array, analogous to spaced seeds.

## last-align 658

=== doc/Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # Rules for converting the txt documents to html.
 
-DOCS = FAQ.html bisulfite.html last-evalues.html last-map-probs.html	\
-last-matrices.html last-pair-probs.html last-papers.html		\
-last-postmask.html last-repeats.html last-seeds.html last-split.html	\
-last-train.html last-tuning.html last-tutorial.html last.html		\
-lastal.html lastdb.html maf-convert.html maf-cull.html
+DOCS = FAQ.html bisulfite.html last-dotplot.html last-evalues.html	\
+last-map-probs.html last-matrices.html last-pair-probs.html		\
+last-papers.html last-postmask.html last-repeats.html last-seeds.html	\
+last-split.html last-train.html last-tuning.html last-tutorial.html	\
+last.html lastal.html lastdb.html maf-convert.html maf-cull.html
 
 all: ${DOCS}

=== debian/changelog ===
last-align (658-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Oct 2015 16:23:59 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,6 @@
 
 override_dh_auto_install:
 	make install prefix=$(CURDIR)/debian/$(pkg)/usr
-#	prename 's/.py$$//' debian/$(pkg)/usr/bin/*py
-#	prename 's/.sh$$//' debian/$(pkg)/usr/bin/*sh
 
         # try to create man pages whereever possible
 	mkdir -p $(mandir)

## last-align 712

=== doc/Makefile ===
--- 
+++ 
@@ -2,9 +2,10 @@
 
 DOCS = FAQ.html bisulfite.html last-dotplot.html last-evalues.html	\
 last-map-probs.html last-matrices.html last-pair-probs.html		\
-last-papers.html last-postmask.html last-repeats.html last-seeds.html	\
-last-split.html last-train.html last-tuning.html last-tutorial.html	\
-last.html lastal.html lastdb.html maf-convert.html maf-cull.html
+last-papers.html last-parallel.html last-postmask.html			\
+last-repeats.html last-seeds.html last-split.html last-train.html	\
+last-tuning.html last-tutorial.html last.html lastal.html lastdb.html	\
+maf-convert.html
 
 all: ${DOCS}

=== debian/changelog ===
last-align (712-1ubuntu1) xenial; urgency=medium

  * debian/patches/ld-as-needed.patch: Add LIBS variable to fix compilation
    with ld --as-needed, which requires a certain linking order.
  * debian/rules: Add -lpthread to LIBS instead of LDFLAGS.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 19 Feb 2016 14:19:01 -0500

last-align (712-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Moved to Git
  * Add missing manpages
  * Depends: parallel (instead of Suggests)

  [ Julien Lamy ]
  * debian/rules:
    - Add missing build flags
    - Do not try to create manpage for removed tool

 -- Andreas Tille <tille@debian.org>  Thu, 31 Dec 2015 09:18:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: last-align
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -8,17 +9,17 @@
                help2man,
                python-imaging
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/last-align/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/last-align/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/last-align.git
+Vcs-Git: git://anonscm.debian.org/debian-med/last-align.git
 Homepage: http://last.cbrc.jp/
 
 Package: last-align
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         parallel
 Recommends: python,
             python-imaging
-Suggests: parallel
 Description: genome-scale comparison of biological sequences
  LAST is software for comparing and aligning sequences, typically DNA or
  protein sequences. LAST is similar to BLAST, but it copes better with very

=== debian/rules ===
--- 
+++ 
@@ -11,23 +11,25 @@
 mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
 
 # Copy upstream CXXFLAGS here because makefile enables only overriding them
-CXXFLAGS += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic
+CXXFLAGS += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic -std=c++11
 # -Wconversion
 # -fomit-frame-pointer ?
+
+LIBS += -lpthread
 
 %:
 	dh  $@
 
 override_dh_auto_build:
-	make all CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+	make all CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" LIBS="$(LIBS)"
 
 HELP2MAN = help2man --no-info --version-string="$(version)"
 
 override_dh_auto_install:
 	make install prefix=$(CURDIR)/debian/$(pkg)/usr
 
-        # try to create man pages whereever possible
-	mkdir -p $(mandir)
+override_dh_installman:
+	dh_installman
 	$(HELP2MAN) \
 		 --name='make a dotplot, a.k.a. Oxford Grid, of alignments in LAST tabular format' \
 	         $(CURDIR)/scripts/last-dotplot > $(mandir)/last-dotplot.1
@@ -35,23 +37,21 @@
 	         --name="genome-scale comparison of biological sequences" \
 	         --help-option="-h" \
                  $(CURDIR)/src/lastal > $(mandir)/lastal.1
-	$(HELP2MAN) \
-	         --name="genome-scale comparison of biological sequences" \
-	         --help-option="-h" \
-                 $(CURDIR)/src/lastdb > $(mandir)/lastdb.1
-#	$(HELP2MAN) \
-#		 --name="Calculate expected numbers of alignments for random sequences." \
-#	         --help-option="-h" \
-#                 $(CURDIR)/src/lastex > $(mandir)/lastex.1
+        # help2man output needs manual postprocessing - see debian/mans
+	#$(HELP2MAN) \
+	#         --name="genome-scale comparison of biological sequences" \
+	#         --help-option="-h" \
+        #         $(CURDIR)/src/lastdb > $(mandir)/lastdb.1
 	$(HELP2MAN) \
                  --name="Sort MAF-format alignments by sequence name" \
                  $(CURDIR)/scripts/maf-sort > $(mandir)/maf-sort.1
 	$(HELP2MAN) \
                  --name="changes the order of the sequences in MAF-format alignments" \
                  $(CURDIR)/scripts/maf-swap > $(mandir)/maf-swap.1
-	$(HELP2MAN) \
-                 --name="Add extra column with mapping probabilities" \
-                 $(CURDIR)/scripts/last-map-probs > $(mandir)/last-map-probs.1
+        # help2man output needs manual postprocessing - see debian/mans
+	#$(HELP2MAN) \
+        #         --name="Add extra column with mapping probabilities" \
+        #         $(CURDIR)/scripts/last-map-probs > $(mandir)/last-map-probs.1
 	# This script has not enough to put in a manual page.
 	#$(HELP2MAN) \
         #         --name="Read files of lastal output, merge corresponding batches, and write them." \
@@ -73,11 +73,21 @@
                  --name="Convert MAF-format alignments to tabular format" \
                  $(CURDIR)/scripts/maf-convert > $(mandir)/maf-convert.1
 	$(HELP2MAN) \
-                 --name="Cull alignments whose top\-sequence coordinates are contained in LIMIT or more" \
-                 $(CURDIR)/scripts/maf-cull > $(mandir)/maf-cull.1
-#	$(HELP2MAN) \
-#                 --name="Read alignments of paired DNA reads to a genome" \
-#                 $(CURDIR)/scripts/last-pair-probs > $(mandir)/last-pair-probs.1
+                 --name="Read 2 fastq files, and write them interleaved" \
+                 $(CURDIR)/scripts/fastq-interleave > $(mandir)/fastq-interleave.1
+	$(HELP2MAN) \
+                 --name="Read files of lastal output, merge corresponding batches, and write them" \
+                 $(CURDIR)/src/last-merge-batches > $(mandir)/last-merge-batches.1
+        # help2man output needs manual postprocessing - see debian/mans
+	#$(HELP2MAN) \
+        #         --name="Read alignments of paired DNA reads to a genome, and do estimations" \
+        #         $(CURDIR)/src/last-pair-probs > $(mandir)/last-pair-probs.1
+	$(HELP2MAN) \
+                 --name="Get alignments that have a segment with score >= threshold, with gentle masking of lowercase letters" \
+                 $(CURDIR)/scripts/last-postmask > $(mandir)/last-postmask.1
+	$(HELP2MAN) \
+                 --name="Try to find suitable score parameters for aligning the given sequences" \
+                 $(CURDIR)/scripts/last-train > $(mandir)/last-train.1
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.txt

## last-align 731

=== debian/changelog ===
last-align (731-1) unstable; urgency=medium

  * New upstream version
  * Fix debian/upstream/metadata
  * Use xz compression in watch opts
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 12 Mar 2016 08:01:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: last-align
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -8,9 +7,9 @@
 Build-Depends: debhelper (>= 9),
                help2man,
                python-imaging
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/last-align.git
-Vcs-Git: git://anonscm.debian.org/debian-med/last-align.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/last-align.git
 Homepage: http://last.cbrc.jp/
 
 Package: last-align

=== debian/rules ===
--- 
+++ 
@@ -15,13 +15,13 @@
 # -Wconversion
 # -fomit-frame-pointer ?
 
-LIBS += -lpthread
+LDFLAGS += -lpthread
 
 %:
 	dh  $@
 
 override_dh_auto_build:
-	make all CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" LIBS="$(LIBS)"
+	make all CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 HELP2MAN = help2man --no-info --version-string="$(version)"
 
@@ -91,7 +91,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.txt
-
-get-orig-source:
-	mkdir -p ../tarballs
-	uscan --verbose --force-download --repack --compress xz --destdir=../tarballs

=== debian/watch ===
version=3
opts=repack,compression=xz \
   http://last.cbrc.jp/last-(.*).zip

## last-align 737

=== debian/changelog ===
last-align (737-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * better hardening

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2016 18:08:29 +0200

## last-align 746

=== debian/changelog ===
last-align (746-1) unstable; urgency=medium

  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 15 Jul 2016 14:24:00 +0900

## last-align 752

=== debian/changelog ===
last-align (752-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 16 Aug 2016 14:35:15 +0200

## last-align 759

=== debian/changelog ===
last-align (759-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 18 Oct 2016 13:43:13 +0200

last-align (755-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 10 Sep 2016 22:37:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 9),
                help2man,
                python-imaging
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/last-align.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/last-align.git
 Homepage: http://last.cbrc.jp/

## last-align 809

=== debian/changelog ===
last-align (809-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 16:04:04 +0100

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,8 @@
 # -fomit-frame-pointer ?
 
 LDFLAGS += -lpthread
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh  $@

## last-align 828

=== debian/changelog ===
last-align (828-1) unstable; urgency=medium

  * New upstream version
  * Manpages for new binaries

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2017 14:16:28 +0100

## last-align 830

=== debian/changelog ===
last-align (830-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Charles Plessy <plessy@debian.org>  Thu, 01 Jun 2017 11:19:01 +0900

last-align (830-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 23 Jan 2017 08:47:32 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                help2man,
                python-imaging
 Standards-Version: 3.9.8

## last-align 869

=== debian/changelog ===
last-align (869-1) unstable; urgency=low

  * Team upload.

  [ Steffen Moeller ]
  * [debian/upstream/metadata] Added references to
    OMICtools, bio.tools, RRID

  [ Sascha Steinbiss ]
  * New upstream release.
  * Use python-pil instead of python-imaging as dependency.
    Closes: #866438
  * Add needs-recommends to d/t/control to fix autopkgtests.

 -- Sascha Steinbiss <satta@debian.org>  Fri, 11 Aug 2017 15:17:15 -0400

last-align (830-2) unstable; urgency=low

  * Team upload.
  
  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Tue, 06 Jun 2017 01:56:56 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                help2man,
-               python-imaging
+               python-pil
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/last-align.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/last-align.git
@@ -18,7 +18,7 @@
          ${misc:Depends},
          parallel
 Recommends: python,
-            python-imaging
+            python-pil
 Description: genome-scale comparison of biological sequences
  LAST is software for comparing and aligning sequences, typically DNA or
  protein sequences. LAST is similar to BLAST, but it copes better with very

## last-align 885

=== debian/changelog ===
last-align (885-1ubuntu1) bionic; urgency=medium

  * debian/rules: pass -pthread in LDFLAGS, not -lpthread, for compatibility
    with -Wl,--as-needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 03 Feb 2018 14:03:28 -0800

last-align (885-1) unstable; urgency=medium

  * New upstream version 885
  * debian/rules: re-enable multi-threading.
  * debian/control: build-depend on zlib1g-dev.

 -- Charles Plessy <plessy@debian.org>  Sun, 15 Oct 2017 22:20:19 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: last-align
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 10),
                help2man,
-               python-pil
+               python-pil,
+               zlib1g-dev
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/last-align.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/last-align.git

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 # This package is maintained by the Debian Med packaging team. Please refer to
-# our group policy if you would like to commit to our Subversion repository. All
+# our group policy if you would like to commit to our Git repository. All
 # Debian developpers have write acces to it.
 # 
-# http://debian-med.alioth.debian.org/docs/policy.html
+# https://debian-med.alioth.debian.org/docs/policy.html
 
 pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
 version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
@@ -12,10 +12,11 @@
 
 # Copy upstream CXXFLAGS here because makefile enables only overriding them
 CXXFLAGS += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic -std=c++11
+CPPFLAGS += -DHAS_CXX_THREADS
 # -Wconversion
 # -fomit-frame-pointer ?
 
-LDFLAGS += -lpthread
+LDFLAGS += -pthread
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -39,6 +40,10 @@
 	         --name="genome-scale comparison of biological sequences" \
 	         --help-option="-h" \
                  $(CURDIR)/src/lastal > $(mandir)/lastal.1
+	$(HELP2MAN) \
+	         --name="genome-scale comparison of biological sequences" \
+	         --help-option="-h" \
+                 $(CURDIR)/src/lastal8 > $(mandir)/lastal8.1
         # help2man output needs manual postprocessing - see debian/mans
 	#$(HELP2MAN) \
 	#         --name="genome-scale comparison of biological sequences" \
@@ -69,6 +74,9 @@
                  --name='Estimates "split" or "spliced" alignments.' \
                  $(CURDIR)/src/last-split > $(mandir)/last-split.1
 	$(HELP2MAN) \
+                 --name='Estimates "split" or "spliced" alignments.' \
+                 $(CURDIR)/src/last-split8 > $(mandir)/last-split8.1
+	$(HELP2MAN) \
                  --name="Join two or more sets of MAF-format multiple alignments" \
                  $(CURDIR)/scripts/maf-join > $(mandir)/maf-join.1
 	$(HELP2MAN) \

## last-align 921

=== debian/changelog ===
last-align (921-1) unstable; urgency=medium

  * New upstream version
  * make build compatible with -Wl, --as-needed (thanks for the patch to
    Steve Langasek <steve.langasek@canonical.com>)
    Closes: #889506
  * cme fix dpkg-control
  * debhelper 11
  * d/rules: do not parse changelog

 -- Andreas Tille <tille@debian.org>  Mon, 05 Feb 2018 10:39:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: last-align
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                help2man,
                python-pil,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/last-align.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/last-align.git
 Homepage: http://last.cbrc.jp/

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,9 @@
 # 
 # https://debian-med.alioth.debian.org/docs/policy.html
 
-pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')
-version=$(shell dpkg-parsechangelog -ldebian/changelog | grep Version: | cut -f2 -d' ' | cut -f1 -d- )
-mandir=$(CURDIR)/debian/$(pkg)/usr/share/man/man1/
+include /usr/share/dpkg/default.mk
+
+mandir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/
 
 # Copy upstream CXXFLAGS here because makefile enables only overriding them
 CXXFLAGS += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic -std=c++11
@@ -26,10 +26,10 @@
 override_dh_auto_build:
 	make all CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
-HELP2MAN = help2man --no-info --version-string="$(version)"
+HELP2MAN = help2man --no-info --version-string="$(DEB_VERSION_UPSTREAM)"
 
 override_dh_auto_install:
-	make install prefix=$(CURDIR)/debian/$(pkg)/usr
+	make install prefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr
 
 override_dh_installman:
 	dh_installman

=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr, needs-recommends

## last-align 932

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 last-papers.html last-parallel.html last-postmask.html			\
 last-repeats.html last-seeds.html last-split.html last-train.html	\
 last-tuning.html last-tutorial.html last.html lastal.html lastdb.html	\
-maf-convert.html
+maf-convert.html maf-cut.html
 
 all: ${DOCS}

=== debian/changelog ===
last-align (932-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2018 22:27:19 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
                help2man,
                python-pil,
                zlib1g-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/last-align.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/last-align.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/last-align
+Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: http://last.cbrc.jp/
 
 Package: last-align

## last-align 938

=== debian/changelog ===
last-align (938-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 23 May 2018 07:10:11 +0200

## last-align 956

=== debian/changelog ===
last-align (956-1) unstable; urgency=medium

  * Team upload.

  * New upstream version.
  * Standards-Version: 4.2.1

 -- Steffen Moeller <moeller@debian.org>  Tue, 02 Oct 2018 15:07:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                help2man,
                python-pil,
                zlib1g-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: http://last.cbrc.jp/

## last-align 961

=== debian/changelog ===
last-align (961-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * New upstream version
  * Remove trailing whitespace in debian/rules

 -- Andreas Tille <tille@debian.org>  Mon, 17 Dec 2018 11:13:03 +0100

=== debian/control ===
--- 
+++ 
@@ -33,4 +33,4 @@
  This allows one to map tags to genomes without repeat-masking, without becoming
  overwhelmed by repetitive hits. To find these variable-sized matches, it uses
  a suffix array (inspired by Vmatch). To achieve high sensitivity, it uses a
- discontiguous suffix array, analogous to spaced seeds. 
+ discontiguous suffix array, analogous to spaced seeds.

=== debian/watch ===
version=4
opts=repack,compression=xz \
   http://last.cbrc.jp/last-(.*).zip

## last-align 963

=== debian/changelog ===
last-align (963-2) unstable; urgency=medium

  * Example files are not compressed any more - adapt autopkgtest
    Closes: #919556

 -- Andreas Tille <tille@debian.org>  Thu, 17 Jan 2019 11:21:30 +0100

last-align (963-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * debian/tests/control: Replace needs-recommends by explicitly
    adding recommended package python-pil to test depends

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 22:49:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                help2man,
                python-pil,
                zlib1g-dev
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: http://last.cbrc.jp/

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # This package is maintained by the Debian Med packaging team. Please refer to
 # our group policy if you would like to commit to our Git repository. All
 # Debian developpers have write acces to it.
-# 
+#
 # https://debian-med.alioth.debian.org/docs/policy.html
 
 include /usr/share/dpkg/default.mk

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python-pil
Restrictions: allow-stderr

## last-align 983

=== debian/changelog ===
last-align (983-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 19:22:16 +0100

last-align (983-1ubuntu1) focal; urgency=medium

  * Build-depend on python2.
  * Recommend python2 instead of python.
  * Use python2 as shebang.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Oct 2019 19:47:25 +0200

last-align (983-1) unstable; urgency=medium

  * Team upload.

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Updated with no manual changes required by Andreas'
    routine-update script.

 -- Steffen Moeller <moeller@debian.org>  Sat, 27 Jul 2019 12:33:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,12 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                help2man,
+               python2,
                python-pil,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: http://last.cbrc.jp/
@@ -18,7 +19,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          parallel
-Recommends: python,
+Recommends: python2,
             python-pil
 Description: genome-scale comparison of biological sequences
  LAST is software for comparing and aligning sequences, typically DNA or

## last-align 1047

=== debian/changelog ===
last-align (1047-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 24 Jan 2020 16:21:19 +0100

last-align (1045-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Updated simde patches

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 31 Dec 2019 08:42:29 +0100

last-align (1044-2) unstable; urgency=medium

  * Team upload.
  * Enable building on any architecture via simde. (Closes: #946850)
  * For any-amd64 and any-i386: compile multiple times with reducing levels of
    SIMD instruction support and ship a dispatching script to pick the best
    one for the user at run-time.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 22 Dec 2019 20:19:58 -0700

last-align (1044-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

  * TODO: hope for new upstream version that does not require
          SSE or AVX to compile.

 -- Steffen Moeller <moeller@debian.org>  Sat, 21 Dec 2019 00:28:04 +0100

last-align (1021-2) unstable; urgency=medium

  * Test-Depends: python3-pil
    Closes: #946209

 -- Andreas Tille <tille@debian.org>  Thu, 05 Dec 2019 15:01:59 +0100

last-align (1021-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fiddling with CFLAGS/CXXFLAGS defaults in Makefile
  * fixed and minimized 2to3-patches - path for last-train
    so there is no FTBFS when generating man pages

  * TODO: Need to work on platform dependencies

 -- Steffen Moeller <moeller@debian.org>  Wed, 04 Dec 2019 13:35:17 +0100

last-align (984-2) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #943148, #943446
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g

 -- Andreas Tille <tille@debian.org>  Fri, 22 Nov 2019 11:46:43 +0100

last-align (984-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set fields Upstream-Contact in debian/copyright.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.

 -- Steffen Moeller <moeller@debian.org>  Wed, 04 Sep 2019 14:05:53 +0200

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,9 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                help2man,
-               python2,
-               python-pil,
+               python3-pil,
                zlib1g-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: http://last.cbrc.jp/
@@ -19,8 +18,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          parallel
-Recommends: python2,
-            python-pil
+Recommends: python3,
+            python3-pil
 Description: genome-scale comparison of biological sequences
  LAST is software for comparing and aligning sequences, typically DNA or
  protein sequences. LAST is similar to BLAST, but it copes better with very

=== debian/rules ===
--- 
+++ 
@@ -8,15 +8,23 @@
 
 include /usr/share/dpkg/default.mk
 
-mandir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/
+prefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr
+mandir=$(prefix)/share/man/man1
+libexecdir=$(prefix)/lib/$(DEB_SOURCE)
 
 # Copy upstream CXXFLAGS here because makefile enables only overriding them
-CXXFLAGS += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic -std=c++11
-CPPFLAGS += -DHAS_CXX_THREADS
+CXXFLAGS += -Wall -Wextra -Wcast-qual -Wswitch-enum -Wundef -Wcast-align -Wno-long-long -ansi -pedantic -std=c++11 -fopenmp-simd -O3
+CPPFLAGS += -DHAS_CXX_THREADS -DSIMDE_ENABLE_OPENMP
 # -Wconversion
 # -fomit-frame-pointer ?
 
 LDFLAGS += -pthread
+
+NUMJOBS = 1
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+  MAKEFLAGS += -j$(NUMJOBS)
+endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -24,12 +32,60 @@
 	dh  $@
 
 override_dh_auto_build:
-	make all CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+ifeq (amd64,$(DEB_HOST_ARCH))
+	mkdir -p $(prefix)
+	mkdir -p $(libexecdir)
+	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
+		$(MAKE) -j$(NUMJOBS) all SFX=-$${SIMD} CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" CFLAGS="$(CFLAGS) -m$${SIMD}" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ; \
+		find . -name '*.o' -delete ; \
+		find . -name '*.o8' -delete ; \
+	done
+else ifeq (i386,$(DEB_HOST_ARCH))
+	mkdir -p $(prefix)
+	mkdir -p $(libexecdir)
+	for SIMD in ssse3 sse3 sse2 sse mmx; do \
+		$(MAKE) -j$(NUMJOBS) all SFX=-$${SIMD} CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" CFLAGS="$(CFLAGS) -m$${SIMD}" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ; \
+		find . -name '*.o' -delete ; \
+		find . -name '*.o8' -delete ; \
+	done
+	$(MAKE) -j$(NUMJOBS) all SFX=-plain CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+else
+	$(MAKE) -j$(NUMJOBS) all CXXFLAGS="$(CXXFLAGS)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
+endif
 
 HELP2MAN = help2man --no-info --version-string="$(DEB_VERSION_UPSTREAM)"
 
 override_dh_auto_install:
-	make install prefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr
+ifeq (amd64,$(DEB_HOST_ARCH))
+	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
+	dh_install src/lastdb-* src/lastal-* src/last-split-* src/last-merge-batches-* src/last-pair-probs-* src/lastdb8-* src/lastal8-* src/last-split8-* usr/lib/last-align
+	dh_install scripts/* usr/bin
+	mkdir -p $(prefix)/bin
+	cd $(prefix)/bin \
+		&& for prog in lastdb lastal last-split last-merge-batches last-pair-probs lastdb8 lastal8 last-split8 ; do \
+		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
+else ifeq (i386,$(DEB_HOST_ARCH))
+	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
+	dh_install src/lastdb-* src/lastal-* src/last-split-* src/last-merge-batches-* src/last-pair-probs-* src/lastdb8-* src/lastal8-* src/last-split8-* usr/lib/last-align
+	dh_install scripts/* usr/bin
+	mkdir -p $(prefix)/bin
+	cd $(prefix)/bin \
+		&& for prog in lastdb lastal last-split last-merge-batches last-pair-probs lastdb8 lastal8 last-split8 ; do \
+		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
+else
+	$(MAKE) -j$(NUMJOBS) install prefix=$(prefix)
+endif
+
+override_dh_auto_clean:
+ifeq (amd64,$(DEB_HOST_ARCH))
+	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
+		dh_auto_clean -- SFX=-$${SIMD} ; done
+else ifeq (i386,$(DEB_HOST_ARCH))
+	for SIMD in ssse3 sse3 sse2 sse mmx plain; do \
+		dh_auto_clean -- SFX=-$${SIMD} ; done
+else
+	dh_auto_clean
+endif
 
 override_dh_installman:
 	dh_installman
@@ -39,16 +95,16 @@
 	$(HELP2MAN) \
 	         --name="genome-scale comparison of biological sequences" \
 	         --help-option="-h" \
-                 $(CURDIR)/src/lastal > $(mandir)/lastal.1
+                 $(prefix)/bin/lastal > $(mandir)/lastal.1
 	$(HELP2MAN) \
 	         --name="genome-scale comparison of biological sequences" \
 	         --help-option="-h" \
-                 $(CURDIR)/src/lastal8 > $(mandir)/lastal8.1
+                 $(prefix)/bin/lastal8 > $(mandir)/lastal8.1
         # help2man output needs manual postprocessing - see debian/mans
 	#$(HELP2MAN) \
 	#         --name="genome-scale comparison of biological sequences" \
 	#         --help-option="-h" \
-        #         $(CURDIR)/src/lastdb > $(mandir)/lastdb.1
+        #         $(prefix)/bin/lastdb > $(mandir)/lastdb.1
 	$(HELP2MAN) \
                  --name="Sort MAF-format alignments by sequence name" \
                  $(CURDIR)/scripts/maf-sort > $(mandir)/maf-sort.1
@@ -72,10 +128,10 @@
         #         $(CURDIR)/scripts/last-remove-dominated > $(mandir)/last-remove-dominated.1
 	$(HELP2MAN) \
                  --name='Estimates "split" or "spliced" alignments.' \
-                 $(CURDIR)/src/last-split > $(mandir)/last-split.1
+                 $(prefix)/bin/last-split > $(mandir)/last-split.1
 	$(HELP2MAN) \
                  --name='Estimates "split" or "spliced" alignments.' \
-                 $(CURDIR)/src/last-split8 > $(mandir)/last-split8.1
+                 $(prefix)/bin/last-split8 > $(mandir)/last-split8.1
 	$(HELP2MAN) \
                  --name="Join two or more sets of MAF-format multiple alignments" \
                  $(CURDIR)/scripts/maf-join > $(mandir)/maf-join.1
@@ -87,11 +143,11 @@
                  $(CURDIR)/scripts/fastq-interleave > $(mandir)/fastq-interleave.1
 	$(HELP2MAN) \
                  --name="Read files of lastal output, merge corresponding batches, and write them" \
-                 $(CURDIR)/src/last-merge-batches > $(mandir)/last-merge-batches.1
+                 $(prefix)/bin/last-merge-batches > $(mandir)/last-merge-batches.1
         # help2man output needs manual postprocessing - see debian/mans
 	#$(HELP2MAN) \
         #         --name="Read alignments of paired DNA reads to a genome, and do estimations" \
-        #         $(CURDIR)/src/last-pair-probs > $(mandir)/last-pair-probs.1
+        #         $(prefix)/bin/last-pair-probs > $(mandir)/last-pair-probs.1
 	$(HELP2MAN) \
                  --name="Get alignments that have a segment with score >= threshold, with gentle masking of lowercase letters" \
                  $(CURDIR)/scripts/last-postmask > $(mandir)/last-postmask.1

## last-align 1060

=== doc/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 
 # Ugh!  Is there a better way?
 RST_CSS = `locate html4css1.css | tail -n1`
+#RST_CSS = html4css1.css
 
 RSTFLAGS = --initial-header-level=2 --no-compact-lists	\
 --no-compact-field-lists --option-limit=0 --no-doc-info

=== debian/changelog ===
last-align (1060-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Cleaner clean

 -- Steffen Moeller <moeller@debian.org>  Tue, 24 Mar 2020 21:22:27 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                help2man,
                python3-pil,
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/last-align
 Vcs-Git: https://salsa.debian.org/med-team/last-align.git
 Homepage: http://last.cbrc.jp/
+Rules-Requires-Root: no
 
 Package: last-align
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -86,6 +86,13 @@
 else
 	dh_auto_clean
 endif
+	for i in last-merge-batches last-pair-probs last-split last-split8 lastal lastal8 lastdb lastdb8; \
+	do \
+	   for j in avx avx2 sse2 sse3 sse4.1 ssse3 ; \
+	   do \
+	      rm -f src/$$i-$$j ; \
+	   done ; \
+	done
 
 override_dh_installman:
 	dh_installman
